# $Revision: 1.22 $, $Date: 2005/12/25 20:47:56 $
%include	/usr/lib/rpm/macros.php
%define		_class		Net
%define		_subclass	Ping
%define		_pearname	%{_class}_%{_subclass}
%define		_status		stable

Summary:	%{_pearname} - execute ping
Summary(pl):	%{_pearname} - wywoywanie pinga
Name:		php-pear-%{_pearname}
Version:	2.4.1
Release:	1
Epoch:		0
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	021e62d12675689445c8bac9cdcc1318
URL:		http://pear.php.net/package/Net_Ping/
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides a PHP wrapper around the ping command.

In PEAR status of this package is: %{_status}.

%description -l pl
Ten pakiet zawiera PHP-owy wrapper na komend ping.

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl):	Testy dla PEAR::%{_pearname}
Group:		Development
Requires:	%{name} = %{epoch}:%{version}-%{release}
AutoReq:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/docs/*
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Net_Ping.spec,v $
Revision 1.22  2005/12/25 20:47:56  glen
- 2.4.1

Revision 1.21  2005/10/27 19:07:14  qboosh
- define Epoch to 0 explicitly when using it

Revision 1.20  2005/10/05 20:59:32  glen
- rel 3

Revision 1.19  2005/09/29 00:17:11  glen
- new pear packaging

Revision 1.18  2004/12/04 13:21:59  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.17  2004/05/30 13:13:51  adamg
- fixed english information about status of the package

Revision 1.16  2004/03/15 17:44:31  ankry
- massive cosmetics

Revision 1.15  2004/02/13 19:08:37  adamg
- updated to 2.4
- added information about status(does this need fixing?)
- added docs to %%doc

Revision 1.14  2003/11/30 16:09:25  adamg
- updated to 2.3
- added tests to %%doc

Revision 1.13  2003/11/22 20:43:15  adamg
- updated to 2.2

Revision 1.12  2003/10/07 20:55:41  adamg
- do not use macros in URL

Revision 1.11  2003/08/31 20:49:10  adamg
- more specific URL

Revision 1.10  2003/07/07 22:09:07  adamg
- updated to 2.1

Revision 1.9  2003/05/28 08:58:45  adamg
- massive attack: added source0-md5

Revision 1.8  2003/05/25 06:25:22  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2002/10/14 23:49:18  misto
- new rpm-php-requires/provides scripts
- release 4

Revision 1.6  2002/09/15 10:49:27  blues
- fix in macros

Revision 1.5  2002/07/12 23:56:56  blues
- release 3 (rebuild with new rpm)

Revision 1.4  2002/07/12 11:26:33  blues
- removed not neccessary provides

Revision 1.3  2002/07/08 00:46:25  blues
- new one requires

Revision 1.2  2002/07/04 22:42:07  blues
- release 2

Revision 1.1  2002/07/01 21:42:13  blues
- initial release
  STBR
